import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class ListAchievements extends StatelessWidget {
  const ListAchievements({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        width: 40,
        decoration: const BoxDecoration(
          borderRadius: BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              const SizedBox(height: 10),
              SvgPicture.asset("assets/icons/white/coffe.svg",
                  height: 30, width: 30),
              const SizedBox(height: 10),
              const Text("Nível 1",
                  style: TextStyle(
                      color: color8,
                      fontSize: 12,
                      fontWeight: FontWeight.w400,
                      fontFamily: "Poppins")),
            ],
          ),
        ),
      ),
    );
  }
}
