import 'package:flutter/material.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class Group extends StatelessWidget {
  const Group({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        decoration: const BoxDecoration(
          borderRadius: BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Padding(
                padding: const EdgeInsets.only(left: 10.0, right: 10),
                child: Container(
                  decoration: BoxDecoration(
                    border: Border.all(color: color1, width: 2),
                    borderRadius: const BorderRadius.all(
                      Radius.circular(50),
                    ),
                  ),
                  child: Image.asset(
                    "assets/coffe.png",
                    height: 40,
                  ),
                ),
              ),
              const SizedBox(height: 10),
              const Text(
                "Eco coffe\nlovers",
                style: TextStyle(
                    color: color8,
                    fontSize: 12,
                    fontWeight: FontWeight.w400,
                    fontFamily: "Poppins"),
                textAlign: TextAlign.center,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
