import 'package:flutter/material.dart';

import 'package:recup_app_storybook/theme/colors.dart';

class TransictionsRecoins extends StatelessWidget {
  const TransictionsRecoins({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        height: 160,
        width: 110,
        decoration: const BoxDecoration(
          borderRadius: BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        // ignore: avoid_unnecessary_containers
        child: Container(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              const SizedBox(height: 10),
              RichText(
                text: const TextSpan(children: <TextSpan>[
                  TextSpan(
                      text: "45 ",
                      style: TextStyle(
                          color: color8,
                          fontSize: 14,
                          fontWeight: FontWeight.w600,
                          fontFamily: "Poppins")),
                  TextSpan(
                      text: "local commerce",
                      style: TextStyle(
                          color: color8,
                          fontSize: 13,
                          fontWeight: FontWeight.w400,
                          fontFamily: "Poppins")),
                ]),
                textAlign: TextAlign.center,
              ),
              const SizedBox(height: 10.0),
              Image.asset(
                "assets/person.png",
                height: 40,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
